*-----------------------------------------------------------------------
      SUBROUTINE SGLNXU(UX1,UY1,UX2,UY2,INDEX,ICOLOR)

      LOGICAL LFCATR

      CALL SWQFCC(LFCATR)
      IF(.NOT.LFCATR) THEN
        CALL MSGDMP('M','SGLNXU','FULL COLOR MODE IS NOT SUPPORTED.')
      END IF

      IF (INDEX.EQ.0) THEN
        CALL MSGDMP('M','SGLNXU','LINE INDEX IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.LT.0) THEN
        CALL MSGDMP('E','SGLNXU','LINE INDEX IS LESS THAN 0.')
      END IF

      CALL SWSFCM(.TRUE.)
      CALL SWSLCL(ICOLOR)

      CALL SZLNOP(INDEX)
      CALL SZLNZU(UX1,UY1,UX2,UY2)
      CALL SZLNCL

      CALL SWSFCM(.FALSE.)

      END
